Subject: Re: [PATCH] git remote update: New option --prune (-p)

From: Finn Arne Gangstad <[email-masked]>
Date: Thu, 2 Apr 2009 22:18:03 +0200

On Thu, Apr 02, 2009 at 11:06:56AM -0700, Junio C Hamano wrote:
> [...]
> 
> I gave the patch an only cursory look, so I wouldn't comment on the
> implementation; two things I would look at in the code would be if it
> makes two connections to the remote to learn the same information (which
> would be bad)

How bad? git remote update execs "git fetch <remote>" to do the
fetching part, and after that the information is lost of course.  It
might be possible to do a --prune option to fetch instead, and just
use that directly.

>  and if it skips the pruning stage if the update stage failed
> (which would probably be a sane precaution).

Yes, this should be fixed.

- Finn Arne